terraform {
  required_version = ">= 1.0"

  required_providers {
    ansible = {
      source  = "ansible/ansible"
      version = "~> 1.3"
    }
    vault = {
      source  = "hashicorp/vault"
      version = "~> 4.0"
    }
  }
}

# Configure the Vault provider
provider "vault" {
  address = var.vault_address
  auth_login {
    path = "auth/approle/login"
    parameters = {
      role_id   = var.role_id
      secret_id = var.secret_id
    }
  }
}

# Ansible Provider
provider "ansible" {
}
